<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&$session><b>إعدادات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td disabled align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=list&$session><b>ادارة تصنيفات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=info&$session><b>ملاحظات</b></a></td>
  </tr>
</table><br>";

$moddo = $apt->get[moddo];

if($moddo=='edt')
{
echo "
<script language=javascript>
function checkForm(){
	if (!document.addf.gtitle.value) {
		alert('عفوا ... انت لم تقم بكتابة اسم للتصنيف'); 
		return false;
	} 
	if (!document.addf.gdesc.value) {
		alert('عفوا ... انت لم تقم بكتابة وصف للتصنيف'); 
		return false;
	} 
	if (!document.addf.gimg.value) {
		alert('عفوا ... انت لم تقم بكتابة وصلة لصورة التصنيف'); 
		return false;
	} 
	var xx=document.addf.gorder.options[document.addf.gorder.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار ترتيب للتصنيف'); 
		return false;
	}	
}
</script>";

if($apt->post[save]){

$gid 		= $apt->get[gid];
$gtitle 	= $apt->post[gtitle];
$gdesc 	= $apt->post[gdesc];
$gorder 	= $apt->post[gorder];
$name_file 	= $apt->post[name_file];

if($apt->files["name_file"]["tmp_name"]){
$allow_ext = array('.gif','.png','.jpg');
$file 	= $apt->files["name_file"]["tmp_name"];
$realname 	= $apt->files["name_file"]["name"];
$type 	= $apt->files["name_file"]["type"];
$size 	= $apt->files["name_file"]["size"];
$ext  	= strrchr($realname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);
if(!$allow_e)
{
		modmsg("عفوا ... الصوره التي اخترتها يجب ان تكون بالامتداد gif,jpg,png<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=gallery&op=list&moddo=edt&gid=$gid&".$admin->get_sess());
}elseif($size > 1048576){
		modmsg("عفوا ... حجم الصوره التي اخترتها أكبر من واحد ميجابايت<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=gallery&op=list&moddo=edt&gid=$gid&".$admin->get_sess());
}else{
//***************************************
$thefile = $file;
if($ext=='.gif'){
$image = ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = 120; 
$new_height = ($new_width * $height) / $width ;

if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
$do = ImageJPEG($thumb, './../modules/gallery/cat/'.$gid. '.jpg');
imagedestroy($image);
//***************************************
}
}

$goquery = $apt->query("UPDATE rafia_gallery_cat set gtitle='$gtitle', gdesc='$gdesc', gorder='$gorder' where gid='$gid'");

if($goquery){
		modmsg("تم تحديث التصنيف بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}else{
		modmsg("عفوا ... حصل خطأ و لم يتم تحديث التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}
}else{
$gid 		= $apt->get[gid];
$result = mysql_query ("SELECT * FROM rafia_gallery_cat where gid=$gid");
while ($row = mysql_fetch_array($result)) {
@extract($row);

            $admin->opentable("تعديل تصنيف جديد للمعرض");
			echo "<form onsubmit='return checkForm(this)' enctype='multipart/form-data' name=addf act=mod.php?act=edit&mod=gallery&op=list&moddo=edt&gid=$gid&".$admin->get_sess()." method=post>";
            $admin->inputtext("عنوان التصنيف","gtitle",$gtitle);
            $admin->textarea("وصف بسيط التصنيف","gdesc",$gdesc,'rtl',3);
            if(!$gimg == ''){
		$admin->td_msg("صورة التصنيف");
		$admin->td_msg("<img src=./../modules/gallery/cat/".$gid.".jpg>");
		}else{
		$admin->td_msg("صورة التصنيف");
		$admin->td_msg("لا يوجد صورة");
		}
            $admin->inputfile("صورة جديده للتصنيف");
            $admin->selectnum("الترتيب","gorder","$gorder",'1','15');
            $admin->inputhidden('save','1');
            $admin->closetable();
            $admin->submit("تعديل");
}}
}elseif($moddo=='del'){
$gcatimg 	= $apt->get[gcatimg];
$gid 		= $apt->get[gid];
$sure 	= $apt->get[sure];
if(!$sure){
		modmsg("<b>عفوا .. ماذا تريد ان تفعل الان :</b><br>
			<li><a href=mod.php?act=edit&mod=gallery&op=list&moddo=del&gid=$gid&gcatimg=$gcatimg&sure=yes&".$admin->get_sess().">حذف التصنيف وحذف جميع الصور فيه</a>
			<li><a href=mod.php?act=edit&mod=gallery&op=control&gid=$gid&".$admin->get_sess().">نقل جميع الصور الى تصنيف اخر ثم الرجوع لحذف التصنيف</a>","#");
}else{
	$res = mysql_query ("delete from rafia_gallery_cat where gid=$gid");
	if($res){
	@unlink("./../$gcatimg");
	$imgresult = mysql_query ("SELECT * FROM rafia_gallery_image where imgcat=$gid");
	while ($row = mysql_fetch_array($imgresult)) {
	@extract($row);
	@unlink("./../modules/gallery/photos/$imglink");
	@unlink("./../modules/gallery/thumb/$imglink");
	}
	$resu = mysql_query ("delete from rafia_gallery_image where imgcat=$gid");
		if(!$resu){$sen = 'تم حذف التصنيف و لكن حصل خطأ عند محاول حذف جميع الصور الموجوده فيه';}else{$sen ='تم حذف التصنيف مع جميع الصور الموجوده بنجاح';}
			modmsg("$sen<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
	}else{
			modmsg("عفوا .. حصل خطأ عند محاولة حذف التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
	}
}
}else{
$admin->opentable("عرض تصانيف المعرض",4);
$result = mysql_query ("SELECT * FROM rafia_gallery_cat ORDER BY gorder ASC");
echo "<tr>";
$admin->td_msg('<b>اسم التصنيف</b>',50);
$admin->td_msg('<b>تحرير</b>',15);
$admin->td_msg('<b>ادارة</b>',20);
$admin->td_msg('<b> حذف </b>',15);
echo "</tr>";
while ($row = mysql_fetch_array($result)) {
@extract($row);
echo "<tr>";
$admin->td_msg($gtitle . ' ['.$gcount.']',50);
$admin->td_url("mod.php?act=edit&mod=gallery&op=list&moddo=edt&gid=$gid&".$admin->get_sess(),'تعديل',15);
$admin->td_url("mod.php?act=edit&mod=gallery&op=control&gid=$gid&".$admin->get_sess(),'ادارة الصور',20);
$admin->td_url("#",$admin->DelHref("mod.php?act=edit&mod=gallery&op=list&moddo=del&gid=$gid&gcatimg=$gimg"));

echo "</tr>";

}
$admin->closetable();
}
?>